using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 附件
    /// </summary>
    [Description("附件")]
    public class T_OG_RELATED_QUALIFICATION_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 资质录入页面表ID
        /// </summary>
        [Description("资质录入页面表")]
        [DataFieldForeignKey("Nav_Detail", "Nav_Files")]
        public Guid DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：资质录入页面表
        /// </summary>
        [Description("导航：资质录入页面表")]
        public T_OG_RELATED_QUALIFICATION_DETAIL Nav_Detail { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}

